//Ce fichier est inclus dans tous les fichiers source.
#include "commun.h"

int variable=18;
int IN_EWRAM montableau[1000];
unsigned short *MemVideo=(unsigned short*)0x6000000;

//Ces fonctions ne sont pas déclarées dans main.h, donc inaccessibles ailleurs que dans ce
//fichier.
void ActiveBG2(int ouiounon);
void InitDisplay();

int main(void)              {
    int i=0;
    InitDisplay();
    ActiveBG2(1);
    //Boucle principale
    while(1)            {
        DessineBoite(i++);
    }
    return 0;
}

//Change de mode graphique
void SetMode(int mode)         {
    REG_DISPCNT = (REG_DISPCNT&~7)|mode;
}

//Cette fonction ne sera pas déclarée dans main.h, donc inaccessible ailleurs que dans ce
//fichier.
void ActiveBG2(int ouiounon)            {
    REG_DISPCNT = (REG_DISPCNT&~0x400) | ouiounon<<10;
}

//Celle-ci non plus.
void InitDisplay()      {
    REG_DISPCNT = 0;
}

/* END OF FILE */
